The Cacti Manual
Prev | Chapter 21. Debugging | Next

# Check rrd file ownership

If rrd files were created e.g. with root ownership, a poller running as cactiuser will not be able to update those files

    cd /var/www/html/cacti/rra
    ls -l localhost*
    -rw-r--r--  1 root      root      463824 May 31 12:40 localhost_load_1min_5.rrd
    -rw-r--r--  1 cactiuser cactiuser 155584 Jun  1 17:10 localhost_mem_buffers_3.rrd
    -rw-r--r--  1 cactiuser cactiuser 155584 Jun  1 17:10 localhost_mem_swap_4.rrd
    -rw-r--r--  1 cactiuser cactiuser 155584 Jun  1 17:10 localhost_proc_7.rrd
    -rw-r--r--  1 cactiuser cactiuser 155584 Jun  1 17:10 localhost_users_6.rrd

Run the following command to cure this problem

    chown cactiuser:cactiuser *.rrd

Prev | Home | Next
Check rrd file updating | Up | Check rrd file numbers